MIDIPLAY(1)

NAME
midiplay - play MIDI files

SYNOPSIS
midiplay [-d devno] [-f file] [-l] [-m] [-t tempo] [-v] [-x] [file ...]

DESCRIPTION
The midiplay command plays MIDI files using the sequencer device. If no file name is given it will play from standard input, otherwise it will play the named files.

The program accepts the following options:

-d devno
    specifies the number of the MIDI device used for output (as listed by the -l flag). The default is device 0.

-f file
    specifies the name of the sequencer device.

-l  list the possible devices without playing anything.

-m  show MIDI file meta events (copyright, lyrics, etc).

-q  specifies that the MIDI file should not be played, justed parsed.

-t tempo
    specifies the tempo. The default tempo is 100.

-v  be verbose. If the flag is repeated the verbosity increases.

-x  play a small sample sound.

FILES

/dev/music
    MIDI sequencer device

SEE ALSO
midi(4)

HISTORY
The midiplay command first appeared in NetBSD 1.4.

BUGS
It may take a long while before playing stops when midiplay is interrupted since the sequencer and MIDI buffers will still be emptied.